API Documentation
Kuali Research REST APIs - Proposal Development
Research Proposal Development ¶
Abstract Types ¶
Get Abstract Types by KeyGET/propdev/api/v1/abstract-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Abstract TypesGET/propdev/api/v1/abstract-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Abstract Types with FilteringGET/propdev/api/v1/abstract-types/
Example URI
- code
string(optional)Abstract Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Abstract TypesGET/propdev/api/v1/abstract-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description"
],
"primaryKey": "code"
}Get Blueprint API specification for Abstract TypesGET/propdev/api/v1/abstract-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Abstract Types.md"
transfer-encoding: chunkedUpdate Abstract TypesPUT/propdev/api/v1/abstract-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Abstract TypesPUT/propdev/api/v1/abstract-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Abstract TypesPATCH/propdev/api/v1/abstract-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Abstract TypesPOST/propdev/api/v1/abstract-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Abstract TypesPOST/propdev/api/v1/abstract-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Abstract Types by KeyDELETE/propdev/api/v1/abstract-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Abstract TypesDELETE/propdev/api/v1/abstract-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Abstract Types with MatchingDELETE/propdev/api/v1/abstract-types/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)Abstract Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Changed Data ¶
Get Budget Changed Data by KeyGET/propdev/api/v1/budget-changed-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}Get All Budget Changed DataGET/propdev/api/v1/budget-changed-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Changed Data with FilteringGET/propdev/api/v1/budget-changed-data/
Example URI
- changeNumber
string(optional)Change Number. Maximum length is 3.
- columnName
string(optional)Field. Maximum length is 30.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8.
- changedValue
string(optional)Changed Value. Maximum length is 200.
- comments
string(optional)Comments. Maximum length is 300.
- displayValue
string(optional)Display Value. Maximum length is 200.
- oldDisplayValue
string(optional)Old Display Value. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Changed DataGET/propdev/api/v1/budget-changed-data/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"changeNumber",
"columnName",
"proposalNumber",
"changedValue",
"comments",
"displayValue",
"oldDisplayValue"
],
"primaryKey": "changeNumber:columnName:proposalNumber"
}Get Blueprint API specification for Budget Changed DataGET/propdev/api/v1/budget-changed-data/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Changed Data.md"
transfer-encoding: chunkedUpdate Budget Changed DataPUT/propdev/api/v1/budget-changed-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Changed DataPUT/propdev/api/v1/budget-changed-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Changed DataPATCH/propdev/api/v1/budget-changed-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}204Body
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}Insert Budget Changed DataPOST/propdev/api/v1/budget-changed-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}201Body
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Changed DataPOST/propdev/api/v1/budget-changed-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
},
{
"changeNumber": "(val)",
"columnName": "(val)",
"proposalNumber": "(val)",
"changedValue": "(val)",
"comments": "(val)",
"displayValue": "(val)",
"oldDisplayValue": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Changed Data by KeyDELETE/propdev/api/v1/budget-changed-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Changed DataDELETE/propdev/api/v1/budget-changed-data/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Changed Data with MatchingDELETE/propdev/api/v1/budget-changed-data/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- changeNumber
string(optional)Change Number. Maximum length is 3.
- columnName
string(optional)Field. Maximum length is 30.
- proposalNumber
string(optional)Proposal Number. Maximum length is 8.
- changedValue
string(optional)Changed Value. Maximum length is 200.
- comments
string(optional)Comments. Maximum length is 300.
- displayValue
string(optional)Display Value. Maximum length is 200.
- oldDisplayValue
string(optional)Old Display Value. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Columns To Alter ¶
Get Budget Columns To Alter by KeyGET/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}Get All Budget Columns To AlterGET/propdev/api/v1/budget-columns-to-alter/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Columns To Alter with FilteringGET/propdev/api/v1/budget-columns-to-alter/
Example URI
- columnName
string(optional)Column Name. Maximum length is 30.
- columnLabel
string(optional)Column Label. Maximum length is 30.
- dataLength
string(optional)Data Length. Maximum length is 4.
- dataType
string(optional)Data Type. Maximum length is 9.
- hasLookup
string(optional)Has Lookup. Maximum length is 1.
- lookupClass
string(optional)Lookup Argument. Maximum length is 100.
- lookupReturn
string(optional)Lookup Return. Maximum length is 50.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Columns To AlterGET/propdev/api/v1/budget-columns-to-alter/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"columnName",
"columnLabel",
"dataLength",
"dataType",
"hasLookup",
"lookupClass",
"lookupReturn"
],
"primaryKey": "columnName"
}Get Blueprint API specification for Budget Columns To AlterGET/propdev/api/v1/budget-columns-to-alter/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Columns To Alter.md"
transfer-encoding: chunkedUpdate Budget Columns To AlterPUT/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Columns To AlterPUT/propdev/api/v1/budget-columns-to-alter/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Columns To AlterPATCH/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}204Body
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}Insert Budget Columns To AlterPOST/propdev/api/v1/budget-columns-to-alter/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}201Body
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Columns To AlterPOST/propdev/api/v1/budget-columns-to-alter/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
},
{
"columnName": "(val)",
"columnLabel": "(val)",
"dataLength": "(val)",
"dataType": "(val)",
"hasLookup": "(val)",
"lookupClass": "(val)",
"lookupReturn": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Columns To Alter by KeyDELETE/propdev/api/v1/budget-columns-to-alter/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Columns To AlterDELETE/propdev/api/v1/budget-columns-to-alter/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Columns To Alter with MatchingDELETE/propdev/api/v1/budget-columns-to-alter/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- columnName
string(optional)Column Name. Maximum length is 30.
- columnLabel
string(optional)Column Label. Maximum length is 30.
- dataLength
string(optional)Data Length. Maximum length is 4.
- dataType
string(optional)Data Type. Maximum length is 9.
- hasLookup
string(optional)Has Lookup. Maximum length is 1.
- lookupClass
string(optional)Lookup Argument. Maximum length is 100.
- lookupReturn
string(optional)Lookup Return. Maximum length is 50.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Statuses ¶
Get Budget Statuses by KeyGET/propdev/api/v1/budget-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Budget StatusesGET/propdev/api/v1/budget-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Statuses with FilteringGET/propdev/api/v1/budget-statuses/
Example URI
- budgetStatusCode
string(optional)Budget Status Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget StatusesGET/propdev/api/v1/budget-statuses/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetStatusCode",
"description"
],
"primaryKey": "budgetStatusCode"
}Get Blueprint API specification for Budget StatusesGET/propdev/api/v1/budget-statuses/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Statuses.md"
transfer-encoding: chunkedUpdate Budget StatusesPUT/propdev/api/v1/budget-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget StatusesPUT/propdev/api/v1/budget-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget StatusesPATCH/propdev/api/v1/budget-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Budget StatusesPOST/propdev/api/v1/budget-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget StatusesPOST/propdev/api/v1/budget-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"budgetStatusCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Statuses by KeyDELETE/propdev/api/v1/budget-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget StatusesDELETE/propdev/api/v1/budget-statuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Statuses with MatchingDELETE/propdev/api/v1/budget-statuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetStatusCode
string(optional)Budget Status Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Sub Award Attachments ¶
Get Budget Sub Award Attachments by KeyGET/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub Award AttachmentsGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Award Attachments with FilteringGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
- data
string(optional)- name
string(optional)- type
string(optional)- id
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub Award AttachmentsGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"data",
"name",
"type",
"id"
],
"primaryKey": "id"
}Get Blueprint API specification for Budget Sub Award AttachmentsGET/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Attachments.md"
transfer-encoding: chunkedUpdate Budget Sub Award AttachmentsPUT/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub Award AttachmentsPUT/propdev/api/v1/budget-sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub Award AttachmentsPATCH/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}204Body
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub Award AttachmentsPOST/propdev/api/v1/budget-sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}201Body
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub Award AttachmentsPOST/propdev/api/v1/budget-sub-award-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"data": "(val)",
"name": "(val)",
"type": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Award Attachments by KeyDELETE/propdev/api/v1/budget-sub-award-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award AttachmentsDELETE/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award Attachments with MatchingDELETE/propdev/api/v1/budget-sub-award-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- data
string(optional)- name
string(optional)- type
string(optional)- id
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Sub Award Files ¶
Get Budget Sub Award Files by KeyGET/propdev/api/v1/budget-sub-award-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub Award FilesGET/propdev/api/v1/budget-sub-award-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Award Files with FilteringGET/propdev/api/v1/budget-sub-award-files/
Example URI
- subAwardXfdFileData
string(optional)Sub Award Xfd File Data.
- subAwardXfdFileName
string(optional)Sub Award Xfd File Name.
- subAwardXmlFileData
string(optional)Sub Award Xml File Data.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub Award FilesGET/propdev/api/v1/budget-sub-award-files/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"subAwardXfdFileData",
"subAwardXfdFileName",
"subAwardXmlFileData"
],
"primaryKey": "budgetSubAward"
}Get Blueprint API specification for Budget Sub Award FilesGET/propdev/api/v1/budget-sub-award-files/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Files.md"
transfer-encoding: chunkedUpdate Budget Sub Award FilesPUT/propdev/api/v1/budget-sub-award-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub Award FilesPUT/propdev/api/v1/budget-sub-award-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub Award FilesPATCH/propdev/api/v1/budget-sub-award-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}204Body
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub Award FilesPOST/propdev/api/v1/budget-sub-award-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}201Body
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub Award FilesPOST/propdev/api/v1/budget-sub-award-files/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
},
{
"subAwardXfdFileData": "(val)",
"subAwardXfdFileName": "(val)",
"subAwardXmlFileData": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Award Files by KeyDELETE/propdev/api/v1/budget-sub-award-files/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award FilesDELETE/propdev/api/v1/budget-sub-award-files/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award Files with MatchingDELETE/propdev/api/v1/budget-sub-award-files/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- subAwardXfdFileData
string(optional)Sub Award Xfd File Data.
- subAwardXfdFileName
string(optional)Sub Award Xfd File Name.
- subAwardXmlFileData
string(optional)Sub Award Xml File Data.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Sub Award Period Details ¶
Get Budget Sub Award Period Details by KeyGET/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub Award Period DetailsGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Award Period Details with FilteringGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
- id
string(optional)id. Maximum length is 3.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- directCost
string(optional)Direct Cost. Maximum length is 15.
- indirectCost
string(optional)F&A Cost. Maximum length is 15.
- costShare
string(optional)Cost Sharing. Maximum length is 15.
- totalCost
string(optional)Total Cost. Maximum length is 15.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub Award Period DetailsGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"budgetPeriod",
"directCost",
"indirectCost",
"costShare",
"totalCost",
"subAwardNumber"
],
"primaryKey": "id"
}Get Blueprint API specification for Budget Sub Award Period DetailsGET/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Award Period Details.md"
transfer-encoding: chunkedUpdate Budget Sub Award Period DetailsPUT/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub Award Period DetailsPUT/propdev/api/v1/budget-sub-award-period-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub Award Period DetailsPATCH/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub Award Period DetailsPOST/propdev/api/v1/budget-sub-award-period-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub Award Period DetailsPOST/propdev/api/v1/budget-sub-award-period-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"budgetPeriod": "(val)",
"directCost": "(val)",
"indirectCost": "(val)",
"costShare": "(val)",
"totalCost": "(val)",
"subAwardNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Award Period Details by KeyDELETE/propdev/api/v1/budget-sub-award-period-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award Period DetailsDELETE/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Award Period Details with MatchingDELETE/propdev/api/v1/budget-sub-award-period-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)id. Maximum length is 3.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- directCost
string(optional)Direct Cost. Maximum length is 15.
- indirectCost
string(optional)F&A Cost. Maximum length is 15.
- costShare
string(optional)Cost Sharing. Maximum length is 15.
- totalCost
string(optional)Total Cost. Maximum length is 15.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Budget Sub Awards ¶
Get Budget Sub Awards by KeyGET/propdev/api/v1/budget-sub-awards/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Get All Budget Sub AwardsGET/propdev/api/v1/budget-sub-awards/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Get All Budget Sub Awards with FilteringGET/propdev/api/v1/budget-sub-awards/
Example URI
- budgetId
string(optional)Budget Id.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3.
- comments
string(optional)Comments. Maximum length is 2000.
- organizationId
string(optional)Organization Id. Maximum length is 8.
- subAwardStatusCode
string(optional)Subaward Status Code. Maximum length is 3.
- fileDataId
string(optional)File Data Id.
- subAwardXfdFileName
string(optional)Subaward PDF File Name. Maximum length is 256.
- xmlDataId
string(optional)Xml Data Id.
- translationComments
string(optional)Translation Comments. Maximum length is 2000.
- xfdUpdateTimestamp
string(optional)This attribute should always be overriden on the descriptive elements. Maximum length is 21.
- xfdUpdateUser
string(optional)xfdUpdateUser. Maximum length is 60.
- xmlUpdateTimestamp
string(optional)This attribute should always be overriden on the descriptive elements. Maximum length is 21.
- xmlUpdateUser
string(optional)xmlUpdateUser. Maximum length is 60.
- namespace
string(optional)Namespace. Maximum length is 200.
- formName
string(optional)Form Name. Maximum length is 100.
- hierarchyProposalNumber
string(optional)Hierarchy Proposal Number.
- hiddenInHierarchy
string(optional)Hidden In Hierarchy.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Budget Sub AwardsGET/propdev/api/v1/budget-sub-awards/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetId",
"subAwardNumber",
"comments",
"organizationId",
"subAwardStatusCode",
"fileDataId",
"subAwardXfdFileName",
"xmlDataId",
"translationComments",
"xfdUpdateTimestamp",
"xfdUpdateUser",
"xmlUpdateTimestamp",
"xmlUpdateUser",
"namespace",
"formName",
"hierarchyProposalNumber",
"hiddenInHierarchy"
],
"primaryKey": "budget:subAwardNumber"
}Get Blueprint API specification for Budget Sub AwardsGET/propdev/api/v1/budget-sub-awards/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Budget Sub Awards.md"
transfer-encoding: chunkedUpdate Budget Sub AwardsPUT/propdev/api/v1/budget-sub-awards/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Budget Sub AwardsPUT/propdev/api/v1/budget-sub-awards/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Budget Sub AwardsPATCH/propdev/api/v1/budget-sub-awards/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}204Body
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Insert Budget Sub AwardsPOST/propdev/api/v1/budget-sub-awards/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}201Body
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Budget Sub AwardsPOST/propdev/api/v1/budget-sub-awards/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
},
{
"budgetId": "(val)",
"subAwardNumber": "(val)",
"comments": "(val)",
"organizationId": "(val)",
"subAwardStatusCode": "(val)",
"fileDataId": "(val)",
"subAwardXfdFileName": "(val)",
"xmlDataId": "(val)",
"translationComments": "(val)",
"xfdUpdateTimestamp": "(val)",
"xfdUpdateUser": "(val)",
"xmlUpdateTimestamp": "(val)",
"xmlUpdateUser": "(val)",
"namespace": "(val)",
"formName": "(val)",
"hierarchyProposalNumber": "(val)",
"hiddenInHierarchy": "(val)",
"_primaryKey": "(val)"
}
]Delete Budget Sub Awards by KeyDELETE/propdev/api/v1/budget-sub-awards/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub AwardsDELETE/propdev/api/v1/budget-sub-awards/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Budget Sub Awards with MatchingDELETE/propdev/api/v1/budget-sub-awards/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetId
string(optional)Budget Id.
- subAwardNumber
string(optional)subAwardNumber. Maximum length is 3.
- comments
string(optional)Comments. Maximum length is 2000.
- organizationId
string(optional)Organization Id. Maximum length is 8.
- subAwardStatusCode
string(optional)Subaward Status Code. Maximum length is 3.
- fileDataId
string(optional)File Data Id.
- subAwardXfdFileName
string(optional)Subaward PDF File Name. Maximum length is 256.
- xmlDataId
string(optional)Xml Data Id.
- translationComments
string(optional)Translation Comments. Maximum length is 2000.
- xfdUpdateTimestamp
string(optional)This attribute should always be overriden on the descriptive elements. Maximum length is 21.
- xfdUpdateUser
string(optional)xfdUpdateUser. Maximum length is 60.
- xmlUpdateTimestamp
string(optional)This attribute should always be overriden on the descriptive elements. Maximum length is 21.
- xmlUpdateUser
string(optional)xmlUpdateUser. Maximum length is 60.
- namespace
string(optional)Namespace. Maximum length is 200.
- formName
string(optional)Form Name. Maximum length is 100.
- hierarchyProposalNumber
string(optional)Hierarchy Proposal Number.
- hiddenInHierarchy
string(optional)Hidden In Hierarchy.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Congressional Districts ¶
Get Congressional Districts by KeyGET/propdev/api/v1/congressional-districts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}Get All Congressional DistrictsGET/propdev/api/v1/congressional-districts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]Get All Congressional Districts with FilteringGET/propdev/api/v1/congressional-districts/
Example URI
- id
string(optional)Id.
- congressionalDistrict
string(optional)State code plus congressional district number. Maximum length is 50.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Congressional DistrictsGET/propdev/api/v1/congressional-districts/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"congressionalDistrict"
],
"primaryKey": "id"
}Get Blueprint API specification for Congressional DistrictsGET/propdev/api/v1/congressional-districts/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Congressional Districts.md"
transfer-encoding: chunkedUpdate Congressional DistrictsPUT/propdev/api/v1/congressional-districts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Congressional DistrictsPUT/propdev/api/v1/congressional-districts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Congressional DistrictsPATCH/propdev/api/v1/congressional-districts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}Insert Congressional DistrictsPOST/propdev/api/v1/congressional-districts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Congressional DistrictsPOST/propdev/api/v1/congressional-districts/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"congressionalDistrict": "(val)",
"_primaryKey": "(val)"
}
]Delete Congressional Districts by KeyDELETE/propdev/api/v1/congressional-districts/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Congressional DistrictsDELETE/propdev/api/v1/congressional-districts/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Congressional Districts with MatchingDELETE/propdev/api/v1/congressional-districts/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id.
- congressionalDistrict
string(optional)State code plus congressional district number. Maximum length is 50.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Development Proposals ¶
Get Development Proposals by KeyGET/propdev/api/v1/development-proposals/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"cfdaNumber": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}Get All Development ProposalsGET/propdev/api/v1/development-proposals/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"cfdaNumber": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"cfdaNumber": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Development Proposals with FilteringGET/propdev/api/v1/development-proposals/
Example URI
- proposalNumber
string(optional)The unique proposal number identifying a proposal. This is a system generated, sequential number. Maximum length is 12.
- proposalTypeCode
string(optional)The type of the proposal. Maximum length is 3.
- continuedFrom
string(optional)A unique institutionally assigned proposal number of a previously submitted proposal. This is applicable when submitting a revised (changed/corrected) application. Maximum length is 8.
- sponsorCode
string(optional)The identification number of the organization or agency that is providing support for the sponsored project. Maximum length is 6.
- activityTypeCode
string(optional)The type of activity proposed, e.g. organized research, instruction, etc. Maximum length is 3.
- ownedByUnitNumber
string(optional)Unit Number. Maximum length is 8.
- requestedStartDateInitial
string(optional)The date the project period will begin. Maximum length is 10.
- requestedEndDateInitial
string(optional)The date the project period will terminate. Maximum length is 10.
- title
string(optional)The proposed title of the project. Maximum length is 200.
- currentAwardNumber
string(optional)A unique institutionally assigned number of a previously funded application. Maximum length is 12.
- deadlineDate
string(optional)The date in which the proposal is due to the sponsoring agency. Additional deadlines may be set by the office authorized to submit proposals on behalf of the institution (e.g. sponsored programs, etc.). Maximum length is 21.
- deadlineTime
string(optional)The time in which the proposal is due to the sponsoring agency. Additional deadlines may be set by the office authorized to submit proposals on behalf of the institution (e.g. sponsored programs, etc.). Maximum length is 15.
- noticeOfOpportunityCode
string(optional)Indicates if the proposal was in response to a solicitation, the type of solicitation or if it is unsolicited. Maximum length is 3.
- deadlineType
string(optional)Indicates the type of proposal deadline. Maximum length is 3.
- anticipatedAwardTypeCode
string(optional)Anticipated Award Type. Maximum length is 3.
- cfdaNumber
string(optional)A unique identifier for the sponsor and the funding opportunity announcement. AKA “Catalogue of Federal Domestic Assistance Number.” The format for this CFDA Number is XX.XXX. Maximum length is 7.
- programAnnouncementNumber
string(optional)A unique identifier associated with each sponsor’s funding opportunity announcement. AKA “Funding Opportunity Announcement number” or “FOA number”. Maximum length is 50.
- primeSponsorCode
string(optional)The sponsor that provides the original source of project funding. Maximum length is 6.
- sponsorProposalNumber
string(optional)The unique identifier assigned by the sponsor when the proposal was submitted. Maximum length is 70.
- nsfSequenceNumber
string(optional)A number used to indicate the type of research activity as defined by the National Science Foundation. NSF codes are not specific for NSF proposals and/or awards. Maximum length is 12.
- subcontracts
string(optional)The proposal will include a sub award with another institution. Maximum length is 1.
- agencyDivisionCode
string(optional)A code that is unique to each NSF division. Currently specific to the NSF only. Maximum length is 50.
- agencyProgramCode
string(optional)A code that is unique to each NSF program. Currently specific to the NSF only. Maximum length is 50.
- programAnnouncementTitle
string(optional)The title of a publicly available document, announcing a federal agency’s intentions to award discretionary grants or cooperative agreements, usually as a result of competition for funds. AKA Funding opportunity announcements, notices of funding availability, or solicitations. Maximum length is 255.
- mailBy
string(optional)This field determines whether the Sponsored Programs Office or the department will be mailing the proposal to the agency/sponsor. Maximum length is 3.
- mailType
string(optional)The method by which the proposal will be delivered to the agency/sponsor. Maximum length is 1.
- mailAccountNumber
string(optional)The internal school account number that should be charged the mailing costs. Maximum length is 7.
- mailDescription
string(optional)Any information that will assist in the delivery of the proposal. Maximum length is 80.
- mailingAddressId
string(optional)The name and address to whom the proposal will be mailed. Maximum length is 6.
- numberOfCopies
string(optional)The number of paper copies of the proposal that should be mailed to the agency/sponsor. Maximum length is 2.
- proposalStateTypeCode
string(optional)The Proposal State for this Proposal Development Document. Maximum length is 3.
- creationStatusCode
string(optional)Creation Status Code.
- submitFlag
string(optional)Submit Flag.
- hierarchyStatus
string(optional)The status of the proposal in a hierarchy. Maximum length is 3.
- hierarchyOriginatingChildProposalNumber
string(optional)Hierarchy Originating Child Proposal Number.
- hierarchyParentProposalNumber
string(optional)Hierarchy Parent Proposal Number.
- hierarchyLastSyncHashCode
string(optional)Hierarchy Last Sync Hash Code.
- hierarchyBudgetType
string(optional)The type of the budget for this proposal in a hierarchy. Maximum length is 3.
- proposalNumberForGG
string(optional)Grants.gov Opportunity. Maximum length is 12.
- opportunityIdForGG
string(optional)Grants.gov Opportunity. Maximum length is 50.
- agencyRoutingIdentifier
string(optional)The Agency Routing Identifier. Maximum length is 50.
- prevGrantsGovTrackingID
string(optional)Prev Grants.Gov Tracking ID. Maximum length is 50.
- createTimestamp
string(optional)Proposal Create Date. Maximum length is 21.
- createUser
string(optional)Create User.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"cfdaNumber": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"proposalNumber": "(val)",
"proposalTypeCode": "(val)",
"continuedFrom": "(val)",
"sponsorCode": "(val)",
"activityTypeCode": "(val)",
"ownedByUnitNumber": "(val)",
"requestedStartDateInitial": "(val)",
"requestedEndDateInitial": "(val)",
"title": "(val)",
"currentAwardNumber": "(val)",
"deadlineDate": "(val)",
"deadlineTime": "(val)",
"noticeOfOpportunityCode": "(val)",
"deadlineType": "(val)",
"anticipatedAwardTypeCode": "(val)",
"cfdaNumber": "(val)",
"programAnnouncementNumber": "(val)",
"primeSponsorCode": "(val)",
"sponsorProposalNumber": "(val)",
"nsfSequenceNumber": "(val)",
"subcontracts": "(val)",
"agencyDivisionCode": "(val)",
"agencyProgramCode": "(val)",
"programAnnouncementTitle": "(val)",
"mailBy": "(val)",
"mailType": "(val)",
"mailAccountNumber": "(val)",
"mailDescription": "(val)",
"mailingAddressId": "(val)",
"numberOfCopies": "(val)",
"proposalStateTypeCode": "(val)",
"creationStatusCode": "(val)",
"submitFlag": "(val)",
"hierarchyStatus": "(val)",
"hierarchyOriginatingChildProposalNumber": "(val)",
"hierarchyParentProposalNumber": "(val)",
"hierarchyLastSyncHashCode": "(val)",
"hierarchyBudgetType": "(val)",
"proposalNumberForGG": "(val)",
"opportunityIdForGG": "(val)",
"agencyRoutingIdentifier": "(val)",
"prevGrantsGovTrackingID": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Development ProposalsGET/propdev/api/v1/development-proposals/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"proposalNumber",
"proposalTypeCode",
"continuedFrom",
"sponsorCode",
"activityTypeCode",
"ownedByUnitNumber",
"requestedStartDateInitial",
"requestedEndDateInitial",
"title",
"currentAwardNumber",
"deadlineDate",
"deadlineTime",
"noticeOfOpportunityCode",
"deadlineType",
"anticipatedAwardTypeCode",
"cfdaNumber",
"programAnnouncementNumber",
"primeSponsorCode",
"sponsorProposalNumber",
"nsfSequenceNumber",
"subcontracts",
"agencyDivisionCode",
"agencyProgramCode",
"programAnnouncementTitle",
"mailBy",
"mailType",
"mailAccountNumber",
"mailDescription",
"mailingAddressId",
"numberOfCopies",
"proposalStateTypeCode",
"creationStatusCode",
"submitFlag",
"hierarchyStatus",
"hierarchyOriginatingChildProposalNumber",
"hierarchyParentProposalNumber",
"hierarchyLastSyncHashCode",
"hierarchyBudgetType",
"proposalNumberForGG",
"opportunityIdForGG",
"agencyRoutingIdentifier",
"prevGrantsGovTrackingID",
"createTimestamp",
"createUser"
],
"primaryKey": "proposalNumber"
}Get Blueprint API specification for Development ProposalsGET/propdev/api/v1/development-proposals/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Development Proposals.md"
transfer-encoding: chunkedModular Budget Idcs ¶
Get Modular Budget Idcs by KeyGET/propdev/api/v1/modular-budget-idcs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}Get All Modular Budget IdcsGET/propdev/api/v1/modular-budget-idcs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Modular Budget Idcs with FilteringGET/propdev/api/v1/modular-budget-idcs/
Example URI
- budgetPeriodId
string(optional)Budget Period Id.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- rateNumber
string(optional)Rate Number. Maximum length is 3.
- budgetId
string(optional)Budget Id.
- description
string(optional)Description. Maximum length is 64.
- idcRate
string(optional)IDC Rate. Maximum length is 7.
- idcBase
string(optional)IDC Base. Maximum length is 15.
- idcBaseUnrounded
string(optional)Idc Base Unrounded.
- fundsRequested
string(optional)Funds Requested. Maximum length is 15.
- startDate
string(optional)Start Date.
- endDate
string(optional)End Date.
- hierarchyProposalNumber
string(optional)Hierarchy Proposal Number.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Modular Budget IdcsGET/propdev/api/v1/modular-budget-idcs/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetPeriodId",
"budgetPeriod",
"rateNumber",
"budgetId",
"description",
"idcRate",
"idcBase",
"idcBaseUnrounded",
"fundsRequested",
"startDate",
"endDate",
"hierarchyProposalNumber"
],
"primaryKey": "budgetModular:budgetPeriodId:rateNumber"
}Get Blueprint API specification for Modular Budget IdcsGET/propdev/api/v1/modular-budget-idcs/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Modular Budget Idcs.md"
transfer-encoding: chunkedUpdate Modular Budget IdcsPUT/propdev/api/v1/modular-budget-idcs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Modular Budget IdcsPUT/propdev/api/v1/modular-budget-idcs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Modular Budget IdcsPATCH/propdev/api/v1/modular-budget-idcs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}204Body
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}Insert Modular Budget IdcsPOST/propdev/api/v1/modular-budget-idcs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}201Body
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Modular Budget IdcsPOST/propdev/api/v1/modular-budget-idcs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
},
{
"budgetPeriodId": "(val)",
"budgetPeriod": "(val)",
"rateNumber": "(val)",
"budgetId": "(val)",
"description": "(val)",
"idcRate": "(val)",
"idcBase": "(val)",
"idcBaseUnrounded": "(val)",
"fundsRequested": "(val)",
"startDate": "(val)",
"endDate": "(val)",
"hierarchyProposalNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Modular Budget Idcs by KeyDELETE/propdev/api/v1/modular-budget-idcs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Modular Budget IdcsDELETE/propdev/api/v1/modular-budget-idcs/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Modular Budget Idcs with MatchingDELETE/propdev/api/v1/modular-budget-idcs/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- budgetPeriodId
string(optional)Budget Period Id.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- rateNumber
string(optional)Rate Number. Maximum length is 3.
- budgetId
string(optional)Budget Id.
- description
string(optional)Description. Maximum length is 64.
- idcRate
string(optional)IDC Rate. Maximum length is 7.
- idcBase
string(optional)IDC Base. Maximum length is 15.
- idcBaseUnrounded
string(optional)Idc Base Unrounded.
- fundsRequested
string(optional)Funds Requested. Maximum length is 15.
- startDate
string(optional)Start Date.
- endDate
string(optional)End Date.
- hierarchyProposalNumber
string(optional)Hierarchy Proposal Number.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Modular Budgets ¶
Get Modular Budgets by KeyGET/propdev/api/v1/modular-budgets/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"budgetPeriodId": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"directCostLessConsortiumFna": "(val)",
"consortiumFna": "(val)",
"totalDirectCost": "(val)",
"_primaryKey": "(val)"
}Get All Modular BudgetsGET/propdev/api/v1/modular-budgets/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetPeriodId": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"directCostLessConsortiumFna": "(val)",
"consortiumFna": "(val)",
"totalDirectCost": "(val)",
"_primaryKey": "(val)"
},
{
"budgetPeriodId": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"directCostLessConsortiumFna": "(val)",
"consortiumFna": "(val)",
"totalDirectCost": "(val)",
"_primaryKey": "(val)"
}
]Get All Modular Budgets with FilteringGET/propdev/api/v1/modular-budgets/
Example URI
- budgetPeriodId
string(optional)Budget Period Id.
- budgetId
string(optional)Budget Id.
- budgetPeriod
string(optional)Budget Period. Maximum length is 3.
- directCostLessConsortiumFna
string(optional)Direct Cost Less Consortium FNA. Maximum length is 15.
- consortiumFna
string(optional)Consortium FNA. Maximum length is 15.
- totalDirectCost
string(optional)Total Direct Cost. Maximum length is 15.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"budgetPeriodId": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"directCostLessConsortiumFna": "(val)",
"consortiumFna": "(val)",
"totalDirectCost": "(val)",
"_primaryKey": "(val)"
},
{
"budgetPeriodId": "(val)",
"budgetId": "(val)",
"budgetPeriod": "(val)",
"directCostLessConsortiumFna": "(val)",
"consortiumFna": "(val)",
"totalDirectCost": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Modular BudgetsGET/propdev/api/v1/modular-budgets/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"budgetPeriodId",
"budgetId",
"budgetPeriod",
"directCostLessConsortiumFna",
"consortiumFna",
"totalDirectCost"
],
"primaryKey": "budgetPeriodObj"
}Get Blueprint API specification for Modular BudgetsGET/propdev/api/v1/modular-budgets/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Modular Budgets.md"
transfer-encoding: chunkedNarrative Attachments ¶
Get Narrative Attachments by KeyGET/propdev/api/v1/narrative-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}Get All Narrative AttachmentsGET/propdev/api/v1/narrative-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
},
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Narrative Attachments with FilteringGET/propdev/api/v1/narrative-attachments/
Example URI
- uploadTimestamp
string(optional)Upload Timestamp.
- name
string(optional)File Name. Maximum length is 150.
- type
string(optional)Type.
- fileDataId
string(optional)File Data Id.
- uploadUser
string(optional)Upload User.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
},
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Narrative AttachmentsGET/propdev/api/v1/narrative-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"uploadTimestamp",
"name",
"type",
"fileDataId",
"uploadUser"
],
"primaryKey": "narrative"
}Get Blueprint API specification for Narrative AttachmentsGET/propdev/api/v1/narrative-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Narrative Attachments.md"
transfer-encoding: chunkedUpdate Narrative AttachmentsPUT/propdev/api/v1/narrative-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Narrative AttachmentsPUT/propdev/api/v1/narrative-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
},
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Narrative AttachmentsPATCH/propdev/api/v1/narrative-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}204Body
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}Insert Narrative AttachmentsPOST/propdev/api/v1/narrative-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}201Body
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Narrative AttachmentsPOST/propdev/api/v1/narrative-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
},
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
},
{
"uploadTimestamp": "(val)",
"name": "(val)",
"type": "(val)",
"fileDataId": "(val)",
"uploadUser": "(val)",
"_primaryKey": "(val)"
}
]Delete Narrative Attachments by KeyDELETE/propdev/api/v1/narrative-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Narrative AttachmentsDELETE/propdev/api/v1/narrative-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Narrative Attachments with MatchingDELETE/propdev/api/v1/narrative-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- uploadTimestamp
string(optional)Upload Timestamp.
- name
string(optional)File Name. Maximum length is 150.
- type
string(optional)Type.
- fileDataId
string(optional)File Data Id.
- uploadUser
string(optional)Upload User.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Narrative Statuses ¶
Get Narrative Statuses by KeyGET/propdev/api/v1/narrative-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Narrative StatusesGET/propdev/api/v1/narrative-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Narrative Statuses with FilteringGET/propdev/api/v1/narrative-statuses/
Example URI
- code
string(optional)Narrative Status Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 20.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Narrative StatusesGET/propdev/api/v1/narrative-statuses/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description"
],
"primaryKey": "code"
}Get Blueprint API specification for Narrative StatusesGET/propdev/api/v1/narrative-statuses/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Narrative Statuses.md"
transfer-encoding: chunkedUpdate Narrative StatusesPUT/propdev/api/v1/narrative-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Narrative StatusesPUT/propdev/api/v1/narrative-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Narrative StatusesPATCH/propdev/api/v1/narrative-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Narrative StatusesPOST/propdev/api/v1/narrative-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Narrative StatusesPOST/propdev/api/v1/narrative-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Narrative Statuses by KeyDELETE/propdev/api/v1/narrative-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Narrative StatusesDELETE/propdev/api/v1/narrative-statuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Narrative Statuses with MatchingDELETE/propdev/api/v1/narrative-statuses/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- code
string(optional)Narrative Status Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 20.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Narrative Types ¶
Get Narrative Types by KeyGET/propdev/api/v1/narrative-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"code": "(val)",
"description": "(val)",
"systemGenerated": "(val)",
"allowMultiple": "(val)",
"narrativeTypeGroup": "(val)",
"_primaryKey": "(val)"
}Get All Narrative TypesGET/propdev/api/v1/narrative-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"systemGenerated": "(val)",
"allowMultiple": "(val)",
"narrativeTypeGroup": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"systemGenerated": "(val)",
"allowMultiple": "(val)",
"narrativeTypeGroup": "(val)",
"_primaryKey": "(val)"
}
]Get All Narrative Types with FilteringGET/propdev/api/v1/narrative-types/
Example URI
- code
string(optional)Narrative Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- systemGenerated
string(optional)System Generated. Maximum length is 1.
- allowMultiple
string(optional)Allow Multiple. Maximum length is 1.
- narrativeTypeGroup
string(optional)Narrative Type Group. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"code": "(val)",
"description": "(val)",
"systemGenerated": "(val)",
"allowMultiple": "(val)",
"narrativeTypeGroup": "(val)",
"_primaryKey": "(val)"
},
{
"code": "(val)",
"description": "(val)",
"systemGenerated": "(val)",
"allowMultiple": "(val)",
"narrativeTypeGroup": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Narrative TypesGET/propdev/api/v1/narrative-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"code",
"description",
"systemGenerated",
"allowMultiple",
"narrativeTypeGroup"
],
"primaryKey": "code"
}Get Blueprint API specification for Narrative TypesGET/propdev/api/v1/narrative-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Narrative Types.md"
transfer-encoding: chunkedUpdate Narrative TypesPUT/propdev/api/v1/narrative-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"code": "(val)",
"description": "(val)",
"systemGenerated": "(val)",
"allowMultiple": "(val)",
"narrativeTypeGroup": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Narrative TypesPUT/propdev/api/v1/narrative-types/
Example URI
Headers
Authorization: Bearer {api-key}
[...]
